> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/vpc-network/havip/deletehavip.md).

# DeleteHaVip

## 1. API Description

This API (DeleteHaVip) is used to delete a high availability virtual IP.

{% hint style="warning" %}
**Prerequisites for Deletion**

* The HaVip must not be associated with any instances (i.e., `associatedInstances` must be an empty list).
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                 |
| -------------- | -------- | ------ | ------------------------------------------- |
| haVipId        | Yes      | String | The ID of the high availability virtual IP. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Delete a HaVip.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteHaVip
<Common Request Params>

Request：
{
  "haVipId": "havip-xxxxxxxx"
}

Response：
{
  "requestId": "T12345678-0000-0000-0000-000000000005",
  "response": {
    "requestId": "T12345678-0000-0000-0000-000000000005"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                | Description                                                               |
| ---------------- | ----------------------------------------- | ------------------------------------------------------------------------- |
| 404              | INVALID\_HAVIP\_NOT\_FOUND                | The specified HaVip does not exist.                                       |
| 400              | INVALID\_HAVIP\_HAS\_ASSOCIATED\_INSTANCE | The HaVip is associated with one or more instances and cannot be deleted. |
